=== modified file 'drizzled/common.h'
--- drizzled/common.h	2010-03-01 01:31:21 +0000
+++ drizzled/common.h	2010-03-02 07:09:16 +0000
@@ -55,7 +55,6 @@
 #define SELECT_NO_JOIN_CACHE    (UINT64_C(1) << 7)     // intern
 #define OPTION_BIG_TABLES       (UINT64_C(1) << 8)     // THD, user
 #define OPTION_BIG_SELECTS      (UINT64_C(1) << 9)     // THD, user
-#define OPTION_LOG_OFF          (UINT64_C(1) << 10)    // THD, user
 #define TMP_TABLE_ALL_COLUMNS   (UINT64_C(1) << 12)    // SELECT, intern
 #define OPTION_WARNINGS         (UINT64_C(1) << 13)    // THD, user
 #define OPTION_AUTO_IS_NULL     (UINT64_C(1) << 14)    // THD, user, binlog
@@ -74,18 +73,10 @@
    key checks in some cases */
 #define OPTION_RELAXED_UNIQUE_CHECKS    (UINT64_C(1) << 27) // THD, user, binlog
 #define SELECT_NO_UNLOCK                (UINT64_C(1) << 28) // SELECT, intern
-#define OPTION_SCHEMA_TABLE             (UINT64_C(1) << 29) // SELECT, intern
 /** Flag set if setup_tables already done */
 #define OPTION_SETUP_TABLES_DONE        (UINT64_C(1) << 30) // intern
 /** If not set then the thread will ignore all warnings with level notes. */
 #define OPTION_SQL_NOTES                (UINT64_C(1) << 31) // THD, user
-#define OPTION_PROFILING                (UINT64_C(1) << 33)
-
-/*
-  Dont report errors for individual rows,
-  But just report error on commit (or read ofcourse)
-*/
-#define OPTION_ALLOW_BATCH              (UINT64_C(1) << 33) // THD, intern (slave)
 
 /**
   Maximum length of time zone name that we support
@@ -104,13 +95,6 @@
 #define SQLSTATE_LENGTH 5
 
 /*
-  Maximum length of comments
-*/
-#define TABLE_COMMENT_MAXLEN 2048
-#define COLUMN_COMMENT_MAXLEN 1024
-#define INDEX_COMMENT_MAXLEN 1024
-
-/*
   USER_HOST_BUFF_SIZE -- length of string buffer, that is enough to contain
   username and hostname parts of the user identifier with trailing zero in
   MySQL standard format:
@@ -118,8 +102,6 @@
 */
 #define USER_HOST_BUFF_SIZE HOSTNAME_LENGTH + USERNAME_LENGTH + 2
 
-#define LOCAL_HOST	"localhost"
-
 /*
   You should add new commands to the end of this list, otherwise old
   servers won't be able to handle them as 'unsupported'.
@@ -144,54 +126,21 @@
 #define ENUM_FLAG	256		/* field is an enum */
 #define AUTO_INCREMENT_FLAG 512		/* field is a autoincrement field */
 #define TIMESTAMP_FLAG	1024		/* Field is a timestamp */
-#define SET_FLAG	2048		/* field is a set */
 #define NO_DEFAULT_VALUE_FLAG 4096	/* Field doesn't have default value */
 #define ON_UPDATE_NOW_FLAG 8192         /* Field is set to NOW on UPDATE */
-#define NUM_FLAG	32768		/* Field is num (for clients) */
 #define PART_KEY_FLAG	16384		/* Intern; Part of some key */
 #define GROUP_FLAG	32768		/* Intern: Group field */
 #define UNIQUE_FLAG	65536		/* Intern: Used by sql_yacc */
 #define BINCMP_FLAG	131072		/* Intern: Used by sql_yacc */
-#define GET_FIXED_FIELDS_FLAG (1 << 18) /* Used to get fields in item tree */
-#define FIELD_IN_PART_FUNC_FLAG (1 << 19)/* Field part of partition func */
-#define FIELD_IN_ADD_INDEX (1<< 20)	/* Intern: Field used in ADD INDEX */
-#define FIELD_IS_RENAMED (1<< 21)       /* Intern: Field is being renamed */
-#define FIELD_STORAGE_FLAGS 22          /* Storage type: bit 22, 23 and 24 */
 #define COLUMN_FORMAT_FLAGS 25          /* Column format: bit 25, 26 and 27 */
 #define COLUMN_FORMAT_MASK 7
 
-#define REFRESH_LOG		2	/* Start on new log file */
-#define REFRESH_TABLES		4	/* close all tables */
-#define REFRESH_STATUS		16	/* Flush status variables */
-
-/* The following can't be set with mysql_refresh() */
-#define REFRESH_READ_LOCK	16384	/* Lock tables for read */
-#define REFRESH_FAST		32768	/* Intern flag */
-
 #define SERVER_STATUS_IN_TRANS     1	/* Transaction has started */
 #define SERVER_STATUS_AUTOCOMMIT   2	/* Server in auto_commit mode */
 #define SERVER_MORE_RESULTS_EXISTS 8    /* Multi query - next query exists */
 #define SERVER_QUERY_NO_GOOD_INDEX_USED 16
 #define SERVER_QUERY_NO_INDEX_USED      32
-/*
-  The server was able to fulfill the clients request and opened a
-  read-only non-scrollable cursor for a query. This flag comes
-  in reply to COM_STMT_EXECUTE and COM_STMT_FETCH commands.
-*/
-#define SERVER_STATUS_CURSOR_EXISTS 64
-/*
-  This flag is sent when a read-only cursor is exhausted, in reply to
-  COM_STMT_FETCH command.
-*/
-#define SERVER_STATUS_LAST_ROW_SENT 128
 #define SERVER_STATUS_DB_DROPPED        256 /* A database was dropped */
-#define SERVER_STATUS_NO_BACKSLASH_ESCAPES 512
-/*
-  Tell clients that this query was logged to the slow query log.
-  Not yet set in the server, but interface is defined for applications
-  to use.  See WorkLog 4098.
-*/
-#define SERVER_QUERY_WAS_SLOW           1024
 
 #define DRIZZLE_ERRMSG_SIZE	512
 
@@ -199,7 +148,6 @@
 
 #define MAX_INT_WIDTH           10      /* Max width for a LONG w.o. sign */
 #define MAX_BIGINT_WIDTH        20      /* Max width for a LONGLONG */
-#define MAX_CHAR_WIDTH		255	/* Max length for a CHAR colum */
 #define MAX_BLOB_WIDTH		(uint32_t)16777216	/* Default width for blob */
 
 #define DRIZZLE_PROTOCOL_NO_MORE_DATA 0xFE
@@ -209,15 +157,6 @@
 
 #define packet_error (~(uint32_t) 0)
 
-
-/* Shutdown/kill enums and constants */
-
-/* Bits for THD::killable. */
-#define DRIZZLE_SHUTDOWN_KILLABLE_CONNECT    (unsigned char)(1 << 0)
-#define DRIZZLE_SHUTDOWN_KILLABLE_TRANS      (unsigned char)(1 << 1)
-#define DRIZZLE_SHUTDOWN_KILLABLE_LOCK_TABLE (unsigned char)(1 << 2)
-#define DRIZZLE_SHUTDOWN_KILLABLE_UPDATE     (unsigned char)(1 << 3)
-
 #if defined(__cplusplus)
 
 namespace drizzled
@@ -252,12 +191,6 @@
                         DRIZZLE_TYPE_MAX=DRIZZLE_TYPE_BLOB
 };
 
-
-  /* The following is for user defined functions */
-
-enum Item_result {STRING_RESULT=0, REAL_RESULT, INT_RESULT, ROW_RESULT,
-                  DECIMAL_RESULT};
-
 } /* namespace drizzled */
 
 #endif /* defined(__cplusplus) */

=== modified file 'drizzled/create_field.cc'
--- drizzled/create_field.cc	2010-02-04 08:14:46 +0000
+++ drizzled/create_field.cc	2010-03-02 06:45:16 +0000
@@ -87,7 +87,7 @@
       break;
   }
 
-  if (flags & (ENUM_FLAG | SET_FLAG))
+  if (flags & ENUM_FLAG)
     interval= ((Field_enum*) old_field)->typelib;
   else
     interval= 0;

=== modified file 'drizzled/field.cc'
--- drizzled/field.cc	2010-02-26 08:21:58 +0000
+++ drizzled/field.cc	2010-03-02 06:45:16 +0000
@@ -821,7 +821,7 @@
   tmp->part_of_key.reset();
   tmp->part_of_sortkey.reset();
   tmp->unireg_check= Field::NONE;
-  tmp->flags&= (NOT_NULL_FLAG | BLOB_FLAG | UNSIGNED_FLAG | BINARY_FLAG | ENUM_FLAG | SET_FLAG);
+  tmp->flags&= (NOT_NULL_FLAG | BLOB_FLAG | UNSIGNED_FLAG | BINARY_FLAG | ENUM_FLAG);
   tmp->reset_fields();
   return tmp;
 }

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2010-02-26 08:21:58 +0000
+++ drizzled/field.h	2010-03-02 06:41:59 +0000
@@ -32,6 +32,7 @@
 #include "drizzled/sql_list.h"
 #include "drizzled/structs.h"
 #include "drizzled/charset_info.h"
+#include "drizzled/item_result.h"
 
 #include <string>
 #include <vector>

=== modified file 'drizzled/hybrid_type_traits.h'
--- drizzled/hybrid_type_traits.h	2010-02-04 08:14:46 +0000
+++ drizzled/hybrid_type_traits.h	2010-03-02 06:41:59 +0000
@@ -21,6 +21,7 @@
 #define DRIZZLED_HYBRID_TYPE_TRAITS_H
 
 #include "drizzled/common.h"
+#include "drizzled/item_result.h"
 
 namespace drizzled
 {

=== modified file 'drizzled/include.am'
--- drizzled/include.am	2010-03-01 16:03:21 +0000
+++ drizzled/include.am	2010-03-02 19:29:14 +0000
@@ -203,6 +203,7 @@
 			      drizzled/index_hint.h \
 			      drizzled/internal_error_handler.h \
 			      drizzled/item.h \
+			      drizzled/item_result.h \
 			      drizzled/item/basic_constant.h \
 			      drizzled/item/bin_string.h \
 			      drizzled/item/blob.h \

=== modified file 'drizzled/item.h'
--- drizzled/item.h	2010-02-16 17:15:01 +0000
+++ drizzled/item.h	2010-03-02 06:41:59 +0000
@@ -27,6 +27,7 @@
 #include <drizzled/sql_list.h>
 #include "drizzled/memory/sql_alloc.h"
 #include <drizzled/table.h>
+#include "drizzled/item_result.h"
 
 namespace drizzled
 {
@@ -47,7 +48,6 @@
 class Client;
 }
 
-
 /**
   Dummy error processor used by default by Name_resolution_context.
 

=== added file 'drizzled/item_result.h'
--- drizzled/item_result.h	1970-01-01 00:00:00 +0000
+++ drizzled/item_result.h	2010-03-02 06:41:59 +0000
@@ -0,0 +1,34 @@
+/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2008 Sun Microsystems
+ *  Copyright (C) 2010 Stewart Smith
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; version 2 of the License.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#ifndef DRIZZLED_ITEM_RESULT_H
+#define DRIZZLED_ITEM_RESULT_H
+
+enum Item_result
+{
+  STRING_RESULT=0,
+  REAL_RESULT,
+  INT_RESULT,
+  ROW_RESULT,
+  DECIMAL_RESULT
+};
+
+
+#endif /* DRIZZLED_ITEM_RESULT_H */

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2010-03-02 17:58:59 +0000
+++ drizzled/sql_yacc.yy	2010-03-02 19:29:14 +0000
@@ -5175,14 +5175,26 @@
 
 flush_option:
           table_or_tables
-          { Lex->type|= REFRESH_TABLES; }
+          {
+            statement::Flush *statement= (statement::Flush*)Lex->statement;
+            statement->setFlushTables(true);
+          }
           opt_table_list {}
         | TABLES WITH READ_SYM LOCK_SYM
-          { Lex->type|= REFRESH_TABLES | REFRESH_READ_LOCK; }
+          {
+            statement::Flush *statement= (statement::Flush*)Lex->statement;
+            statement->setFlushTablesWithReadLock(true);
+          }
         | LOGS_SYM
-          { Lex->type|= REFRESH_LOG; }
+          {
+            statement::Flush *statement= (statement::Flush*)Lex->statement;
+            statement->setFlushLog(true);
+          }
         | STATUS_SYM
-          { Lex->type|= REFRESH_STATUS; }
+          {
+            statement::Flush *statement= (statement::Flush*)Lex->statement;
+            statement->setFlushStatus(true);
+          }
         ;
 
 opt_table_list:

=== modified file 'drizzled/statement/flush.cc'
--- drizzled/statement/flush.cc	2010-02-11 03:29:52 +0000
+++ drizzled/statement/flush.cc	2010-03-02 07:34:04 +0000
@@ -52,10 +52,9 @@
 bool statement::Flush::reloadCache()
 {
   bool result= false;
-  ulong options= session->lex->type;
   TableList *tables= (TableList *) session->lex->select_lex.table_list.first;
 
-  if (options & REFRESH_LOG)
+  if (flush_log)
   {
     if (plugin::StorageEngine::flushLogs(NULL))
     {
@@ -66,17 +65,16 @@
     Note that if REFRESH_READ_LOCK bit is set then REFRESH_TABLES is set too
     (see sql_yacc.yy)
   */
-  if (options & (REFRESH_TABLES | REFRESH_READ_LOCK))
+  if (flush_tables || flush_tables_with_read_lock)
   {
-    if ((options & REFRESH_READ_LOCK) && session)
+    if (session && flush_tables_with_read_lock)
     {
       if (lock_global_read_lock(session))
       {
         return true; /* Killed */
       }
-      result= session->close_cached_tables(tables, 
-                                           (options & REFRESH_FAST) ?  false : true, 
-                                           true);
+      result= session->close_cached_tables(tables, true, true);
+
       if (make_global_read_lock_block_commit(session)) /* Killed */
       {
         /* Don't leave things in a half-locked state */
@@ -86,13 +84,11 @@
     }
     else
     {
-      result= session->close_cached_tables(tables, 
-                                           (options & REFRESH_FAST) ?  false : true, 
-                                           false);
+      result= session->close_cached_tables(tables, true, false);
     }
   }
 
-  if (session && (options & REFRESH_STATUS))
+  if (session && flush_status)
   {
     session->refresh_status();
   }

=== modified file 'drizzled/statement/flush.h'
--- drizzled/statement/flush.h	2010-02-04 08:14:46 +0000
+++ drizzled/statement/flush.h	2010-03-02 07:09:16 +0000
@@ -35,12 +35,30 @@
 public:
   Flush(Session *in_session)
     :
-      Statement(in_session)
+    Statement(in_session),
+    flush_log(false),
+    flush_tables(false),
+    flush_tables_with_read_lock(false),
+    flush_status(false)
   {}
 
   bool execute();
 
 private:
+  bool flush_log;
+  bool flush_tables;
+  bool flush_tables_with_read_lock;
+  bool flush_status;
+
+public:
+  void setFlushLog(bool f) { flush_log= f; }
+  void setFlushTables(bool f) { flush_tables= f; }
+  void setFlushTablesWithReadLock(bool f) {
+    flush_tables= flush_tables_with_read_lock= f;
+  }
+  void setFlushStatus(bool f) { flush_status= f; }
+
+private:
 
   /**
    * Reload/resets privileges and the different caches.

=== modified file 'drizzled/table_proto.h'
--- drizzled/table_proto.h	2010-02-08 01:10:03 +0000
+++ drizzled/table_proto.h	2010-03-02 06:49:12 +0000
@@ -22,6 +22,14 @@
 #define DRIZZLED_TABLE_PROTO_H
 
 namespace drizzled {
+/*
+  Maximum length of comments.
+
+  These are historical limits that no longer need to apply.
+*/
+#define TABLE_COMMENT_MAXLEN 2048
+#define COLUMN_COMMENT_MAXLEN 1024
+#define INDEX_COMMENT_MAXLEN 1024
 
 int drizzle_write_proto_file(const std::string file_name,
                              message::Table *table_proto);

=== modified file 'plugin/heap/ha_heap.cc'
--- plugin/heap/ha_heap.cc	2010-03-01 22:09:13 +0000
+++ plugin/heap/ha_heap.cc	2010-03-02 19:29:14 +0000
@@ -837,7 +837,7 @@
         key_part_size= next_field_pos;
       }
 
-      if (field->flags & (ENUM_FLAG | SET_FLAG))
+      if (field->flags & ENUM_FLAG)
         seg->charset= &my_charset_bin;
       else
         seg->charset= field->charset();

